#ifndef NETWORKINFO_H
#define NETWORKINFO_H

#include <QObject>
#include "InfoCollectionBase.h"
#include <QFileInfo>

class NetworkInfoCollection : public InfoCollectionBase
{
    Q_OBJECT
public:
    NetworkInfoCollection(QObject *parent=nullptr);
    QString getNetworkType();
    QString getNetworkMac();
private:
    static constexpr const char* s_virtualNetworkPath="/sys/devices/virtual/net/";
    static constexpr const char* s_networkPath="/sys/class/net/";
    static constexpr const char* s_wirelessKey="wireless";
    static constexpr const char* s_addressKey="address";
    static constexpr const char* s_wirelessInterfaceKey="Wireless interface";
    static constexpr const char* s_ethernetInterfaceKey="Ethernet interface";
    QString notVirtualNetworkCmd;
};

#endif // NETWORKINFO_H
